Bug 1763255 - Ability to search by access-key using the radosgw-admin tool
Summary: Ability to search by access-key using the radosgw-admin tool
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 4.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: 4.0
Assignee: Casey Bodley
QA Contact: RUDRA PRATAP
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-18 15:10 UTC by Casey Bodley
Modified: 2020-01-31 12:48 UTC (History)
8 users (show)

Fixed In Version: ceph-14.2.4-26.el8cp, ceph-14.2.4-2.el7cp
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-31 12:47:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Ceph Project Bug Tracker 39261 0 None None None 2019-10-18 15:10:22 UTC
Github ceph ceph pull 28331 0 'None' closed rgw: permit rgw-admin to populate user info by access-key 2020-03-13 10:41:25 UTC
Red Hat Product Errata RHBA-2020:0312 0 None None None 2020-01-31 12:48:02 UTC

Description Casey Bodley 2019-10-18 15:10:23 UTC
Allow radosgw-admin user commands to specify a user by --access-key rather than --uid.

Comment 1 RHEL Program Management 2019-10-18 15:10:30 UTC
Please specify the severity of this bug. Severity is defined here:
https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity.

Comment 2 Casey Bodley 2019-10-18 15:11:52 UTC
this was included in 3.3 https://bugzilla.redhat.com/show_bug.cgi?id=1668896

Comment 10 errata-xmlrpc 2020-01-31 12:47:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0312


Note You need to log in before you can comment on or make changes to this bug.